// the uart used to control servos.
// GPIO 18 - S_RXD, GPIO 19 - S_TXD, as default.
#define S_RXD 18
#define S_TXD 19

byte InfoPrint = 1;
#include <ArduinoJson.h>
StaticJsonDocument<256> jsonCmdReceive;
StaticJsonDocument<256> jsonInfoSend;
StaticJsonDocument<256> jsonInfoHttp;
#include "Gripper_advance.h"
#include "STSCTRL.h"
#include "json_cmd.h"
#include "uart_ctrl.h"

void setup() {
  Serial.begin(115200);
  while(!Serial) {}
  servoInit();

}

void loop() {
 serialCtrl();
 Gripper_getFeedBack();
 if (InfoPrint == 2) {
    Gripper_infoFeedback();
  }
}